# gcp::DeleteOperation Class Reference

`#include <gcp/operation.h>`

Inheritance diagram for gcp::DeleteOperation:

List of all members.

## Public Member Functions

| DeleteOperation (gcp::Document *pDoc, unsigned long ID)
void | Undo ()
void | Redo ()

## Detailed Description

Operation class representing objects deletions.

Definition at line 182 of file operation.h.

## Constructor & Destructor Documentation

gcp::DeleteOperation::DeleteOperation | ( | gcp::Document * | pDoc,
|  | unsigned long | ID |
| ) |  |  |

Parameters:

  | pDoc | a document.
  | ID | a unique operation ID for the document and the session.

Creates a new DeleteOperation. Operations should always created by calls to Document::GetNewOperation().

## Member Function Documentation

void gcp::DeleteOperation::Undo | ( |  | ) | `[virtual]`

Undo the deletions represented by this operation.

Implements gcp::Operation.

void gcp::DeleteOperation::Redo | ( |  | ) | `[virtual]`

Redo the deletions represented by this operation.

Implements gcp::Operation.

The documentation for this class was generated from the following file:

- operation.h